Grist Octri Preview
PATCH/docs/{docId}/tables/{tableId}/dataDeprecated

Modify rows in a table

Updates rows in a table using the deprecated data endpoint. Provide an id array of row IDs and arrays of values for the columns to change; use the records endpoints for new projects. Set noparse to true to prevent string values from being parsed according to their column types.

  • IdempotentThe SDK sends Idempotency-Key, so a retried request is only applied once.

3 parameters · 1 body field
docIdstringrequired
The UUID of the document containing the table.
tableIdstringrequired
The normalized table name or a numeric row ID in `_grist_Tables`.
noparsebooleanoptional
Set to true to prevent strings from being parsed according to the column type.

An object containing an id array of integer row IDs and arrays of values for the columns to change.

idarray<integer>required
The integer IDs of the rows to modify.

1 status code
200Returns an array of IDs for the rows modified.

Error handling

The docId path parameter must be a UUID, and the tableId path parameter must be a normalized table name or a numeric row ID in _grist_Tables. The request body must include an id array of integer row IDs; include arrays of objects for the column values to modify. Set the noparse query parameter to true to prevent parsing strings according to column types.